# Uses of Class
it.tdlight.jni.TdApi.KeyboardButtonType

## Uses of TdApi.KeyboardButtonType in it.tdlight.jni

Subclasses of TdApi.KeyboardButtonType in it.tdlight.jni
Modifier and Type
Class
Description
`static final class`
`TdApi.KeyboardButtonTypeRequestLocation`
A button that sends the user's location when pressed; available only in private chats.
`static final class`
`TdApi.KeyboardButtonTypeRequestPhoneNumber`
A button that sends the user's phone number when pressed; available only in private chats.
`static final class`
`TdApi.KeyboardButtonTypeRequestPoll`
A button that allows the user to create and send a poll when pressed; available only in private chats.
`static final class`
`TdApi.KeyboardButtonTypeText`
A simple button, with text that must be sent when the button is pressed.
Fields in it.tdlight.jni declared as TdApi.KeyboardButtonType
Modifier and Type
Field
Description
`TdApi.KeyboardButtonType`
TdApi.KeyboardButton.`type`
Type of the button.
Constructors in it.tdlight.jni with parameters of type TdApi.KeyboardButtonType
Modifier
Constructor
Description
``
`KeyboardButton(String text, TdApi.KeyboardButtonType type)`
Represents a single button in a bot keyboard.